Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
GETPCI Device OperationsSince 3.5.0SynchronousAuth Required

QueryVmInstancePciDeviceSpecRef

QueryVmInstancePciDeviceSpecRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • pciSpecUuidStringRequired

      The UUID of the PCI device specification.

    • pciDeviceNumberIntegerRequired

      The number of PCI devices to be attached to the VM instance. Note that these devices must conform to the PCI device specification. Default value: 1.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vm-instances/{vmInstanceUuid}/pci-device-specs

/zstack/v1/vm-instances/{vmInstanceUuid}/pci-device-specs

Operation ID

QueryVmInstancePciDeviceSpecRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/pci-device-specs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "vmInstanceUuid": "c40d04f99f7647f2bf145aa6e3d463ff", "pciSpecUuid": "9afda707d3b14838adaa48d4295f3d5f", "pciDeviceNumber": 1.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history